Bug 434068 - libtwin failed massrebuild attempt for GCC 4.3
libtwin failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtwin (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:01 EST by Jesse Keating
Modified: 2013-01-09 21:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 00:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:01:33 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438414
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-23 21:52:10 EST
Errors in ppc build.log:
libtwin/twin_primitive.c: In function 'over_v':
libtwin/twin_primitive.c:289: note: use -flax-vector-conversions to permit
conversions between vectors with differing element types or numbers of subparts
libtwin/twin_primitive.c:289: error: incompatible types in initialization
libtwin/twin_primitive.c:306: error: incompatible types in assignment
libtwin/twin_primitive.c:309: error: incompatible types in return
libtwin/twin_primitive.c: In function '_twin_vec_argb32_over_argb32':
libtwin/twin_primitive.c:340: error: incompatible types in assignment
libtwin/twin_primitive.c:342: error: incompatible types in assignment
libtwin/twin_primitive.c:343: error: incompatible types in assignment
libtwin/twin_primitive.c:345: error: incompatible types in assignment
libtwin/twin_primitive.c: In function '_twin_vec_argb32_source_argb32':
libtwin/twin_primitive.c:383: error: incompatible types in assignment
libtwin/twin_primitive.c:385: error: incompatible types in assignment
make[1]: *** [twin_primitive.lo] Error 1
Comment 2 Bug Zapper 2008-05-14 01:24:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matt Domsch 2008-07-08 00:37:26 EDT
builds as of 2008-07-03, version 0.0.2-8.fc10.

Note You need to log in before you can comment on or make changes to this bug.